#!/bin/sh

echo "Installing AirBoard automaticaly...\n"
echo "install directory: "

	read dest

	if [ "${dest}" = "" ];
		then
			dest = "../airboard"
	fi

	if [ -d ${dest} ]; then
		echo "  Already installed."
		echo "  Install aborted."
		exit;
	fi

echo "Making AirBoard executables (Please wait a few minute)..."

	cd ./src
	make
	cd ..

echo "Checking error status...\n"

	error=`grep error src/install.log`
	if [ "${error}" != "" ]; then
		echo "(Fatal error) Compiling error detected.\n"
		cat src/install.log
		exit;
	fi

echo "Making directory..."

	if [ ! -d ${dest} ]; then
		echo "  Making ${dest} directory"
		mkdir ${dest}
	fi

	if [ ! -d ${dest}/file ]; then
		echo "  Making ${dest}/file directory"
		mkdir ${dest}/file
	fi

	if [ ! -d ${dest}/image ]; then
		echo "  Making ${dest}/image directory"
		mkdir ${dest}/image
	fi
	echo

echo "Installing archives..."

	echo "  (copying) all programs into ${dest} ..."
	cp src/*.cgi ${dest}/

	echo "  (copying) counter file into ${dest} ..."
	cp html/counter.dat ${dest}/

	echo "  (copying) html file into ${dest} ..."
	cp html/*.html ${dest}/

	echo "  (copying) image file into ${dest}/image ..."
	cp html/*.gif ${dest}/image/

	echo "  (copying) Document file into ${dest}/ ..."
	cp doc/*.txt ${dest}/


	echo "  ( chmod ) changing permission..."
	chmod 777 ${dest}/file/
	chmod 666 ${dest}/counter.dat


echo "\n\n\n"
echo "Installation complete. Thanks for using AirBoard."
echo "This script written by Mr.TOMOyuki, thanks!\n"
